<?php

use App\Models\System\Settings\OS;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('banners', function (Blueprint $table) {
            $table->id();

            $table->string('app')->default(OS::WEBSITE);

            $table->jsonb('title')->nullable()->index();
            $table->jsonb('description')->nullable();

            $table->string('place')->index();
            $table->text('link')->nullable();

            $table->integer('resource_id')->nullable();
            $table->string('resource_type')->nullable();

            $table->integer('sort_order')->nullable();

            $table->jsonb('options')->nullable();

            $table->boolean('is_visible')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('banners_resource');
    }
};
